Recurring campaigns
GET https://66pusher.com/demo/api/recurring-campaigns/
curl --request GET \
--url 'https://66pusher.com/demo/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66pusher.com/demo/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, title, description, url. |
| website_id | Optional Integer | |
| datetime_field | Optional String | Allowed values: last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-19 06:33:40",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://66pusher.com/demo/api/recurring-campaigns?page=1",
"last": "https://66pusher.com/demo/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://66pusher.com/demo/api/recurring-campaigns?page=1"
}
}
GET https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-19 06:33:40",
}
}
POST https://66pusher.com/demo/api/recurring-campaigns
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | - |
| name | Required String | - |
| title | Required String | - |
| description | Required String | - |
| url | Optional String | - |
| image | Optional File | - |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| frequency | Optional String | Allowed values: daily, weekly, monthly |
| week_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7 Available when: frequency = weekly |
| month_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Available when: frequency = monthly |
| time | Optional String | HH:II |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://66pusher.com/demo/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://66pusher.com/demo/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| title | Optional String | - |
| description | Optional String | - |
| url | Optional String | - |
| image | Optional File | - |
| button_title_1 | Optional String | - |
| button_url_1 | Optional String | - |
| button_title_2 | Optional String | - |
| button_url_2 | Optional String | - |
| is_silent | Optional Boolean | - |
| is_auto_hide | Optional Boolean | - |
| ttl | Optional String | Allowed values: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optional String | - |
| utm_medium | Optional String | - |
| utm_campaign | Optional String | - |
| frequency | Optional String | Allowed values: daily, weekly, monthly |
| week_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7 Available when: frequency = weekly |
| month_days | Optional String |
Allowed values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Available when: frequency = monthly |
| time | Optional String | HH:II |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66pusher.com/demo/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \